com.sun.grid.jgdi.util.shell.editor

## Class EditorUtil

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.editor.EditorUtil

-     public class EditorUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PROPERTIES_ALL`
    `static int` | `PROPERTIES_CONFIGURABLE`
    `static int` | `PROPERTIES_READ_ONLY`
    `static java.lang.String[]` | `QSMTYPES`
    `static java.lang.String[]` | `QTYPES`
    `static java.lang.String` | `VALUE_DEFAULT`
    `static java.lang.String` | `VALUE_INFINITY`
    `static java.lang.String` | `VALUE_NONE`
    `static java.lang.String` | `VALUE_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `sgeEdit(java.io.File file)`
    `static java.lang.String` | `unifyAttrWithClientNames(java.lang.String objectName, java.lang.String name)` Convert JGDI name to equivalent in the clients

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_NONE

          public static final java.lang.String VALUE_NONE

      See Also:
        Constant Field Values

    - #### VALUE_UNDEFINED

          public static final java.lang.String VALUE_UNDEFINED

      See Also:
        Constant Field Values

    - #### VALUE_INFINITY

          public static final java.lang.String VALUE_INFINITY

      See Also:
        Constant Field Values

    - #### VALUE_DEFAULT

          public static final java.lang.String VALUE_DEFAULT

      See Also:
        Constant Field Values

    - #### QTYPES

          public static final java.lang.String[] QTYPES

    - #### QSMTYPES

          public static final java.lang.String[] QSMTYPES

    - #### PROPERTIES_ALL

          public static final int PROPERTIES_ALL

      See Also:
        Constant Field Values

    - #### PROPERTIES_READ_ONLY

          public static final int PROPERTIES_READ_ONLY

      See Also:
        Constant Field Values

    - #### PROPERTIES_CONFIGURABLE

          public static final int PROPERTIES_CONFIGURABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EditorUtil

          public EditorUtil()

  - ### Method Detail

    - #### unifyAttrWithClientNames

          public static java.lang.String unifyAttrWithClientNames(java.lang.String objectName,
                                                                  java.lang.String name)

      Convert JGDI name to equivalent in the clients

    - #### sgeEdit

          public static int sgeEdit(java.io.File file)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.